<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
JFactory::getDocument()->addScriptDeclaration('
	function jModalClose()
	{
		window.jQuery("#modal-new").modal("hide");
		window.location.href = "'. JRoute::_('index.php?option=com_tablebooking&view=users', false) . '";
	};'
);

?>

<div id="tablebooking">
	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=users'); ?>" method="post" name="adminForm" id="adminForm">
	
		<table class="table table-striped">
			<thead>
				<tr>
				
					<th width="1%">
						<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
					</th>

					<th>
						<?php echo JHtml::_('grid.sort', 'COM_TABLEBOOKING_STAFF_NAME', 'b.name', $listDirn, $listOrder); ?>
					</th>
					
					<th>
						<?php echo JText::_('COM_TABLEBOOKING_STAFF_REPRESENTANT_OF'); ?>
					</th>

					<th>
						<?php echo JText::_('COM_TABLEBOOKING_STAFF_POSITION');?>
					</th>
					
					<th>
						<?php echo JText::_('COM_TABLEBOOKING_ID'); ?>
					</th>

				</tr>
			</thead>

			<tbody>
			<?php foreach ($this->items as $i => $item) {
			?>
			<tr class="row<?php echo $i % 2; ?>">

				<td>
					<?php echo JHtml::_('grid.id', $i, $item->id); ?>
				</td>
				
				<td>
					<?php echo $this->escape( $item->name ); ?>
				</td>
					
				<td>
					<?php echo $this->escape( $item->restaurant ); ?>
				</td>

				<td>
					<?php echo $item->position == 1 ? JText::_('COM_TABLEBOOKING_STAFF_MEMBER') : JText::_('COM_TABLEBOOKING_STAFF_ADMINISTRATOR'); ?>
				</td>
				
				<td>
					<?php echo $item->id; ?>
				</td>
				
			</tr>

			<?php } ?>
			</tbody>
					
			<tfoot>
				<tr>
					<td colspan="5">
						<?php echo $this->pagination->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
		</table>
	
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
