<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$current_view = JRequest::getCmd('view');

?>
<nav class="navbar navbar-default navbar-static-top" role="navigation" id="tbb-nav">
  <div class="">
	<ul class="nav navbar-nav nav-pills" id="tbb-navigation">

		<li <?php echo $current_view == 'management' ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=management', true);?>">
				<i class="ico ico-home"></i>
				<?php echo JText::_('COM_TABLEBOOKING_DASHBOARD');?>
			</a>
		</li>

		<li <?php echo preg_match('/booking(s)?/', $current_view) ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=bookings', true);?>">
				<i class="ico ico-bookings"></i>
				<?php echo JText::_('COM_TABLEBOOKING_BOOKINGS');?>
			</a>
		</li>

		<?php if ( TbUser::getInstance()->work->position == 2 ) { ?>
		<li <?php echo preg_match('/table(s)?/', $current_view) ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=tables', true);?>">
				<i class="ico ico-tables"></i>
				<?php echo JText::_('COM_TABLEBOOKING_TABLES');?>
			</a>
		</li>

		<li <?php echo $current_view == 'settings' ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=settings', true);?>">
				<i class="ico ico-settings"></i>
				<?php echo JText::_('COM_TABLEBOOKING_SETTINGS');?>
			</a>
		</li>

		<li <?php echo $current_view == 'schedules' ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=schedules', true);?>">
				<i class="ico ico-clock"></i>
				<?php echo JText::_('COM_TABLEBOOKING_SCHEDULES');?>
			</a>
		</li>
		
		<li <?php echo preg_match('/cron(s)?/', $current_view) ? 'class="active"' : '' ?>>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&view=crons', true);?>">
				<i class="ico ico-calendar"></i>
				<?php echo JText::_('COM_TABLEBOOKING_MENU_CRON_JOBS');?>
			</a>
		</li>
		<?php } ?>

		<li>
			<a href="<?php echo JRoute::_('index.php?option=com_tablebooking&task=logout', true);?>">
				<i class="ico ico-exit"></i>
				<?php echo JText::_('COM_TABLEBOOKING_LOGOUT');?>
			</a>
		</li>
	</ul>
  </div>
</nav>
