<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.utilities.date');

class TbDay
{
    public $value;
    public $date;


   /**
    * @param $value mixed (timestamp/date)
    */
    public function __construct( $value )
    {
        if ( $value == 'now' )
        {
            $this->date = JDate::getInstance('now');
        }
    	elseif (preg_match('/[0-9]{4}-[0-9]{2}-[0-9]{2}/', $value)) 
    	{
    		date_default_timezone_set('GMT');
    		$timestamp = strtotime($value);
    		$this->date = JDate::getInstance($timestamp);
    	}
    	elseif (preg_match('/[0-9]*/', $value))
    	{
    		$this->date = JDate::getInstance($value);
    	}
    }

    
}

?>
