<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright   Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

function TablebookingBuildRoute(&$query)
{
	$segments = array();

	if (isset($query['view'])) {
		$segments[] = $query['view'];
		unset($query['view']);
	}

	return $segments;
}


function TablebookingParseRoute($segments)
{
	$vars = array();

	// view is always the first element of the array
	$count = count($segments);

	if ($count)
	{
		if (strpos($segments[0],'.') === false)	
		{
			$vars['view'] = $segments[0];
		}
	}
	
	return $vars;
}
