<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>
<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=tables', false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>

		<div id="tb-controls">
		  <div class="col-md-4 pull-left">
		   	<h3><?php echo JText::_('COM_TABLEBOOKING_TABLES');?></h3>
		  </div>
		</div>

		<div class="row tbb-action">
			<div class="col-md-12">
				<button class="btn" onclick="document.adminForm.task.value='table.add';document.adminForm.submit();"><i class="ico ico-add"></i> <?php echo JText::_('COM_TABLEBOOKING_NEW');?></button>
				<button class="btn" onclick="document.adminForm.task.value='tables.delete';document.adminForm.submit();return false;"><i class="ico ico-trash"></i> <?php echo JText::_('COM_TABLEBOOKING_DELETE');?></button>
			</div>
		</div>

		<table class="table table-hover tbb-content">
			<thead>
				<tr>
					<th></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_TABLE_NAME');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_TABLE_MIN_CAPACITY');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_TABLE_MAX_CAPACITY');?></th>
					<th><?php echo JText::_('COM_TABLEBOOKING_TABLE_ID');?></th>
				</tr>
			</thead>
			<tbody>
				<?php if ($this->items) { foreach ($this->items as $item) { ?> 
				<tr>
					<td><input type="checkbox" name="cid[]" id="cb<?php echo (int) $item->id; ?>" value="<?php echo (int) $item->id; ?>" /></td>
					<td><a href="<?php echo JRoute::_('index.php?option=com_tablebooking&task=table.edit&id=' . (int) $item->id, false);?>"><?php echo $this->escape($item->name);?></a></td>
					<td><?php echo (int) $item->min_places;?></td>
					<td><?php echo (int) $item->max_places;?></td>
					<td><?php echo (int) $item->id;?></td>
				</tr>
				<?php }} ?>
			</tbody>
			<tfoot>
				<tr class="text-center">
					<td colspan="5">
						<?php echo $this->pagination->getListFooter() ;?>
					</td>
				</tr>
			</tfoot>
		</table>
	
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
