<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controlleradmin');

class TableBookingControllerUsers extends JControllerAdmin {
	
	protected	$option 		= 'com_tablebooking';
	
	public function getModel($name = 'Users', $prefix = 'TableBookingModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}


	public function donew() {

		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$new = JRequest::getVar('new', array(), '', 'array');

		if ( $new['user'] && $new['restaurant'] ) {
			$this->getModel()->addNewUser( $new );
		}

		$this->setRedirect('index.php?option=com_tablebooking&view=users');
		return;
	}


	public function delete() {

		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$users = JRequest::getVar('cid', array(), '', 'array');

		if ( $users ) {
			$this->getModel()->delete( $users );
		}
		$this->setRedirect('index.php?option=com_tablebooking&view=users');
		return;
	}

	
}

?>
