<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class TableBookingViewAbout extends JViewLegacy
{
	protected $info;

	function display($tpl = null) 
	{
		$this->info = new SimpleXMLElement(JPATH_COMPONENT . '/tablebooking.xml', 0, true);
		$this->addToolbar();
		
		JHtml::stylesheet( 'administrator/components/com_tablebooking/assets/css/default.css' );

		parent::display($tpl);
		
	}
	
	public function addToolbar() {	
		
		JToolBarHelper::title(  'TableBooking :: ' . JText::_( 'COM_TABLEBOOKING_ABOUT' ), '' );	
	}
}