<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

function TbAutoloader($class) {

    if (class_exists($class, false) || interface_exists($class, false)) {
        return false;
    }
    
    $path = JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . strtolower($class) . '.php';
    if (is_file($path)) {
    	require_once( $path );
    }
}

spl_autoload_register('TbAutoloader');
