<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.utilities.date');

class TbScheduleWeekday extends TbSchedule{

	public function __construct( $restaurant )
	{
		parent::__construct( $restaurant );
		$this->bind();
	}

	protected function bind()
	{
		$encoded = isset($this->restaurant->schedule) ? json_decode($this->restaurant->schedule) : array();
		if(isset($encoded->overrides) && isset($encoded->overrides[$this->date]))
		{
			$this->isSet = true;
			$this->working = $encoded->days[$this->date]->working;
			$this->intervals = $encoded->days[$this->date]->intervals;
		} 
	}
}
