<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="row" id="tb-hours">
    <div class="pull-left">
	<table class="table dashboard">
	    <thead>
		<tr>
		    <th><?php echo JText::_('COM_TABLEBOOKING_TABLES') . ' / ' . JText::_('COM_TABLEBOOKING_HOURS');?></th>
		</tr>
	    </thead>
    
	    <tbody>
		    <?php foreach ( $this->restaurant->getTables() as $table ) {?>
		    <tr>
			  <td class="ora"><?php echo $table->name;?></td>
		    </tr>
		    <?php } ?>
	    </tbody>
	</table>
    </div>
    
    <div class="hours">
	<table class="table dashboard">
	  <thead>  
		<tr>
		<?php foreach ( $this->hours as $key=>$hour ) {?> 
		    <th class="ora-<?php echo $key;?>"><a onclick="svg.updateForHour('<?php echo $key;?>');" href="javascript:void(0);"><?php echo $hour; ?> - </a></th>
		<?php } ?>
		</tr>
	  </thead>
    
	    <tbody>
		<?php foreach ( $this->restaurant->getTables() as $table ) {?>
		    <tr>
			  <?php foreach ( $this->hours as $key=>$hour ) 
			  	{ 
				$list = $this->bookings->clear()->forTable( $table->id )->forHour( $key ); 
				$style = !empty($list->filter) ? 'status-' . $list->filter[0]->status : '';
			  ?>
			  <td class="<?php echo $table->id;?> ora-<?php echo $key;?> <?php echo $style;?>"><i class="ico ico-tables"></i></td>
			  <?php } ?>
		    </tr>
		<?php } ?>
	    </tbody>
	</table>
    </div>
</div>
