<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class TableBookingViewSearch extends JViewLegacy
{
	protected $restaurant;
	protected $form;
	protected $restricted;
	
	public function display($tpl = null) {

		$this->restaurant = $this->get('Restaurant'); 
		$this->form = $this->get('Form');
		$this->restricted = $this->get('Restricted');
		$this->addResources();

		parent::display($tpl);
	}
	
	
	public function addResources() 
	{	
		JHtml::stylesheet( 'components/com_tablebooking/assets/css/bootstrap.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/css/style-search.css' );
		JHtml::stylesheet( 'components/com_tablebooking/assets/medial/style.css' );
		JHtml::script( 'components/com_tablebooking/assets/js/tbb.js' );
		JHtml::script( 'components/com_tablebooking/assets/js/calendar.js' );
	}
	
}
?>
