<?php
/*
 * @component Tablebooking
 * @website : ionutlupu.me
 * @copyright  Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div id="tablebooking">

	<form action="<?php echo JRoute::_('index.php?option=com_tablebooking&view=special', false);?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">
		
		<?php echo TbDisplay::loadMenu() ;?>

		<div id="tb-controls">
		    <div class="col-md-4 pull-left">
			<h3><?php echo JText::_('COM_TABLEBOOKING_ADD_SPECIAL_DAY');?></h3>
		    </div>
		</div>

		<div class="row tbb-action">
			<div class="col-md-12">
				<button class="btn" onclick="document.adminForm.task.value='special.save';document.adminForm.submit();"><i class="ico ico-accept"></i> <?php echo JText::_('COM_TABLEBOOKING_SAVE');?></button>
				<button class="btn" onclick="document.location.href='<?php echo JRoute::_('index.php?option=com_tablebooking&view=schedules#special', false);?>';return false;"><i class="ico ico-close"></i> <?php echo JText::_('COM_TABLEBOOKING_CLOSE');?></button>
			</div>
		</div>

		<?php $fields = array('date','status','addnewinterval','id'); foreach ($fields as $field) { ?>
		<div class="form-group">
			<label class="control-label col-md-2"> <?php echo $this->form->getLabel($field); ?> </label>
			<div class="controls cold-md-10" style="position: relative;">
				<?php echo $this->form->getInput($field); ?>
			</div>
		</div>
		<?php } ?>
			
		<?php echo $this->form->getInput('selecteddate'); ?>
		<input type="hidden" name="timestamp" id="timestamp" />
		<input type="hidden" name="task" />
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>



<script>
	// calendar config object
	var DateConfig = {
		fullCurrentMonth: true,
		dateFormat: '<?php echo $this->restaurant->getParams()->dateformat;?>',
		<?php if ($this->restaurant->getParams()->startcal == 1) { ?>
		weekdays: ['<?php echo JText::_("COM_TABLEBOOKING_MONDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_TUESDAY", true);?>', 
		  			'<?php echo JText::_("COM_TABLEBOOKING_WEDNESDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_THURSDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_FRIDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SATURDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SUNDAY", true);?>'],
		<?php } else { ?>
		weekdays: ['<?php echo JText::_("COM_TABLEBOOKING_SUNDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MONDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_TUESDAY", true);?>', 
		  			'<?php echo JText::_("COM_TABLEBOOKING_WEDNESDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_THURSDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_FRIDAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SATURDAY", true);?>'],
		<?php } ?>
		months: ['<?php echo JText::_("COM_TABLEBOOKING_JANUARY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_FEBRUARY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MARCH", true);?>', 
			  '<?php echo JText::_("COM_TABLEBOOKING_APRIL", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_MAY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_JUNE", true);?>', 
			  '<?php echo JText::_("COM_TABLEBOOKING_JULY", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_AUGUST", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_SEPTEMBER", true);?>', 
			  '<?php echo JText::_("COM_TABLEBOOKING_OCTOBER", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_NOVEMBER", true);?>', '<?php echo JText::_("COM_TABLEBOOKING_DECEMBER", true);?>'],
		suffix: { 1: 'st', 2: 'nd', 3: 'rd', 21: 'st', 22: 'nd', 23: 'rd', 31: 'st' },
		defaultSuffix: 'th', 
		currentTime: <?php echo time() * 1000;?>,
		_startCal: '<?php echo $this->restaurant->getParams()->startcal;?>'
  	};

  	// utility object to work with different dates
  	var dat = new DateHelper();
  	var utils = new MedialUtilities();

	// for new recording set automatically date in the form as current day
	// if existing recording change the value of current timestamp for DateConfig object to match the value of the record
	if (!document.getElementById('jform_selecteddate').value) {
		document.getElementById('jform_selecteddate').value = dat.toCustom(<?php echo time() * 1000;?>, 'Y-m-d');
	} else {
		DateConfig.currentTime = <?php echo TbDisplay::strToTime($this->form->getValue('selecteddate')) * 1000 ;?>;
	}

	// now we can load calendar
	new datepickr('jform_date', 'jform_date', DateConfig);
  
  	var tbb = {
  		changedate: function(seldate) {
  			document.getElementById('jform_selecteddate').value = dat.toCustom(dat.toTimestamp(seldate),'Y-m-d');
  		},
  	};

  	function newInterval() {
  		
  		var start = document.getElementById('start');
  		var end = document.getElementById('end');
		var intervals = document.getElementById('intervals');

		if (start.value != 0 && end.value != 0) {
			var enc = encodeURIComponent(start.value+'+'+end.value);
			var newInterval = '';
			newInterval += '<div class="row">';
			newInterval += '<div class="col-md-9"><p><i class="ico ico-clock"></i> '+start.options[start.selectedIndex].innerHTML+' - '+end.options[end.selectedIndex].innerHTML+'</p></div>';	
			newInterval += '<div class="col-md-2"><p><a href="javascript:void(0);" onclick="deleteInterval(this);"><i class="ico ico-close"></i></a><input type="hidden" name="jform[intervals][]" value="'+enc+'"></input></p></div>';
			newInterval += '</div>';
			intervals.innerHTML += newInterval;
		}
  	}

  	function deleteInterval(el) {
  		var parent = utils.getParent(el,'div.row')
  		parent.remove();
  	}

  	window.addEventListener('load', function() {
  		var days = document.getElementsByClassName('day');

  		for (var i=0; i<days.length; i++) {
			days[i].addEventListener('click', function (el){
				tbb.changedate(el.target.getAttribute('data-date'));
			}),
			days[i].addEventListener('mouseover', function (el){
				el.target.className = 'day circled';
			}),
			days[i].addEventListener('mouseout', function (el){
				el.target.className = 'day';
			})
		}
  	});
</script>
